package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.HouseFeature;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.HouseFeatureMapper")
public interface HouseFeatureMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(HouseFeature record);

    HouseFeature selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(HouseFeature record);

    List<HouseFeature> queryAllHouseFeature(HouseFeature record);

    List<HouseFeature> queryHouseFeatureByPage(Map<String, Object> parameter);

    int delete(String id);

    HouseFeature queryHouseFeature(HouseFeature record);

    List<HouseFeature> query(HouseFeature record);
}

